> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List users in group

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/groups/{groupId}/users

Retrieves a list of users in a group.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/usergroups/groupusers/list

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `groupId` (string, required) — The ID of the group being accessed.

### Query parameters

- `count` (string, optional) — The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `100` Default: `50`
- `start_position` (string, optional) — The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.

## Response

### 200

Successful response.

- `endPosition` (string, optional) — The last position in the result set.
- `nextUri` (string, optional) — The URI to the next chunk of records based on the search request. If the endPosition is the entire results of the search, this is null.
- `previousUri` (string, optional) — The postal code for the billing address.
- `resultSetSize` (string, optional) — The number of results returned in this response.
- `startPosition` (string, optional) — Starting position of the current result set.
- `totalSetSize` (string, optional) — The total number of items available in the result set. This will always be greater than or equal to the value of the property returning the results in the in the response.
- `users` (list of groupUserInfo, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### groupUserInfo

- `activationAccessCode` (string, optional)
- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `loginStatus` (string, optional)
- `sendActivationEmail` (string, optional)
- `uri` (string, optional)
- `userId` (string, optional)
- `userName` (string, optional)
- `userStatus` (string, optional)
- `userType` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Response**

```json
{
  "endPosition": "sample string 1",
  "nextUri": "sample string 2",
  "previousUri": "sample string 3",
  "resultSetSize": "sample string 4",
  "startPosition": "sample string 5",
  "totalSetSize": "sample string 6",
  "users": [
    {
      "activationAccessCode": "sample string 1",
      "email": "sample string 2",
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "loginStatus": "sample string 3",
      "sendActivationEmail": "sample string 4",
      "uri": "sample string 5",
      "userId": "sample string 6",
      "userName": "sample string 7",
      "userStatus": "sample string 8",
      "userType": "sample string 9"
    }
  ]
}
```